%define        libname libbeecrypt

Name:          beecrypt
Version:       4.2.1
Release:       1mamba
Summary:       Beecrypt is a general-purpose cryptography library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/%{name}
Source:        https://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: libicu-devel
BuildRequires: java-environment
BuildRequires: javapackages
%endif

%description
Beecrypt is a general-purpose cryptography library.

%package -n %{libname}
Summary:       Beecrypt is a general-purpose cryptography library
Group:         System/Libraries

%description -n %{libname}
Beecrypt is a general-purpose cryptography library.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
Beecrypt is a general-purpose cryptography library.
This package contains static libraries and header files need for development.

%package -n java-%{name}
Summary:       Files needed for java applications using beecrypt
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-java = %{?epoch:%epoch:}%{version}-%{release}

%description -n java-%{name}
Beecrypt is a general-purpose cryptography library.  
This package contains files needed for using java with beecrypt.

%package -n python-%{name}
Summary:       Files needed for python applications using beecrypt
Group:         Development/Libraries
Requires:      python >= %{pyver}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-python = %{?epoch:%epoch:}%{version}-%{release}
%py_requires

%description -n python-%{name}
Beecrypt is a general-purpose cryptography library.
This package contains files needed for using python with beecrypt.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   --enable-shared \
   --enable-static \
   --with-cplusplus=no \
   --without-python \
%if "%{stage1}" != "1"
   --with-java \
   CFLAGS="%{optflags} -I%{_jvmdir}/jdk/include -I%{_jvmdir}/jdk/include/linux -I%{python3_inc}" \
   CXXFLAGS="%{optflags} -I%{_jvmdir}/jdk/include -I%{_jvmdir}/jdk/include/linux -I%{python3_inc}" \
%endif

#   --with-python=%{__python3} \

%make \
   libaltdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall \
   libaltdir=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libbeecrypt.so.*
%doc COPYING.LIB

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libbeecrypt.a
%{_libdir}/libbeecrypt.la
%{_libdir}/libbeecrypt.so
%doc AUTHORS BUGS NEWS README

%if "%{stage1}" != "1"
%files -n java-%{name}
%defattr(-,root,root)
%{_libdir}/libbeecrypt_java.*
%endif

#%files -n python-%{name}
#%defattr(-,root,root)
#%{_prefix}/lib/python%{pyver}/site-packages/*

%changelog
* Tue Aug 24 2021 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-4mamba
- rebuilt with python 2.7

* Thu Dec 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.2-3mamba
- enable build of static library again

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 4.1.2-2mamba
- updated specfile

* Wed Jan 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.2-1qilnx
- package created by autospec
